Subject: Re: bug#41661: [Cuirass] Doesn't honor 'timeout' nor 'max-silent-time' leading to mising substitutes

From: Leo Famulari <[email-masked]>
Date: Tue, 2 Jun 2020 13:44:59 -0400

On Tue, Jun 02, 2020 at 01:15:19PM +0000, Brice Waegeneire wrote:
> Hello Guix,
> 
> Unlike Hydra, Curiass don't honor 'timeout' and 'max-silent-time'
> properties[0]. This lead to some packages never having substitutes, in
> particular for the 'armhf-linux' system for example 'linux-libre' or
> 'guile-static-stripped'[1]. Which mean it's really difficult to use such
> systems since each users need to build thoses really long running[2]
> packages. We also don't know if thoses package may fail for a reason other
> than timing out.
> 
> [0]: https://lists.gnu.org/archive/html/guix-devel/2020-03/msg00209.html
> [1]: http://ci.guix.gnu.org/search?query=guile-static-stripped%20system:armhf-linux
> [2]: https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/guile.scm?id=f51fd97ec54a98668d63c52d8a6bd75d8dc3292e#n257
> 
> - Brice

We really need to improve our CI so that it's possible to discover these
build failures. Currently it's quite hard to monitor if they get built
unless you just do `guix build foo`.

The last time this came up [0] it was said that maybe it's not really
correct to make these properties of the package, but rather of the CI
jobs. It makes sense but we need a solution, or stop supporting
underpowered architectures like armhf, because most of those machines
can't build this stuff themselves, and it's not good to advertise
support to people who will just be disappointed later.